mojoPortal обычно использует новейшие стабильные версии jQuery и jQuery UI frameworks. Они тщательно проверяются перед обновлением. Сами скрипты загружаются из Google CDN, а их версия определяется в настройках файла web.config. Это позволяет очень просто перейти на новую версию фреймворков, т.к. необходимо, всего лишь, изменить соответствующие параметры в файле web.config.

Если нужны отличные от стандартных версии jQuery или jQuery UI framework, необходимо поместить следующий код в файл user.config, а затем пошевелить файл web.config, чтобы IIS перезагрузил Ваш сайт.

<add key="GoogleCDNjQueryVersion" value="1.7.1"/>
<add key="GoogleCDNjQueryUIVersion" value="1.8.16"/>

Обратите внимание на то, что не следует менять значение данных ключей, предварительно не убедившись, что версии фреймворков совместимы между собой.

Если необходимо разместить jQuery and jQuery UI frameworks на Вашем хостинге, то подробности можно узнать в соответствующей статье.

Оригинал на английском.

Вверх